Bug 490960 - Errata search based on packages displays the cloned erratas from another orgs.
Errata search based on packages displays the cloned erratas from another orgs.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Other (Show other bugs)
530
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Matthews
Preethi Thomas
:
Depends On:
Blocks: 456998 457073
  Show dependency treegraph
 
Reported: 2009-03-18 13:20 EDT by Preethi Thomas
Modified: 2009-09-10 15:32 EDT (History)
1 user (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:32:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2009-03-18 13:20:46 EDT
Description of problem:

Errata search based on packages displays the cloned erratas from another org

Version-Release number of selected component (if applicable):

Satellite-5.3.0-RHEL5-re20090306.2-i386-embedded-oracle.iso

How reproducible:
always

Steps to Reproduce:
1. create 2 orgs org1 & org2 which has trust with each other.
2. login as org1 and clone a red hat channel (Current state of the channel (all errata)
3. keep the channel private.
4. now login as the main admin
5. go to Earrata->Advanced search
6. Enter kernel 
7. choose package name in what to search
8. you ca use the issue dates if you want to further narrow the results
9. paginate through the results to find a cloned errata (ex:CLSA-2009:0012)
10. Click on the name.
11. Now you get a page not found error and a traceback email.
12. Now login to org2 which has the trust with org1
13. repeat steps  -> step 10
14. notice that that errata detail page for the cloned errata is displayed. 

Actual results:

 search is not filtering for results from other orgs.


Expected results:
Errata search should display only the org your search on unless the channels are shared.

Additional info:
The following exception occurred while executing this request:
GET /rhn/errata/details/Details.do

Date:3/18/09 11:51:36 AM EDT
Headers:
  host: rlx-3-08.rhndev.redhat.com
  user-agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.0.2) Gecko/2008091816 Red Hat/3.0.2-3.el5 Firefox/3.0.2
  accept: text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8
  accept-language: en-us,ar;q=0.8,ja;q=0.5,ml;q=0.3
  accept-encoding: gzip,deflate
  accept-charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7
  Keep-Alive: 300
  connection: keep-alive
  referer: https://rlx-3-08.rhndev.redhat.com/rhn/errata/Search.do?start_hour=11&end_year=2009&start_month=2&errata_type_bug=on&end_hour=11&search_string=kernel&end_am_pm=0&errata_type_security=on&start_minute=51&start_am_pm=0&end_minute=51&end_day=18&start_year=2009&end_month=2&view_mode=errata_search_by_all_fields&errata_type_enhancement=on&start_day=17
  cookie: JSESSIONID=74ECA12BD7DCF6E8F67CEF59C816533D; rh_omni_tc=70160000000H4AjAAK; s_vi=[CS]v1|499AD56A000016E6-A3A095600005320[CE]; s_cc=true; s_sq=%5B%5BB%5D%5D; rh_sso=0|Jbs6szuDU5jGqnRYIwV2q1TuagaEyeiEdWD; rh_user=preethit|Preethi|member; rh_shared_auth=f6b2b98de81805650fc51fbb5c2779b9d3feb550e89a5ca1f28c4fa02f6a498dc7b5839e0ce2e5769a24d75cfa97e20a5d06d96dcf2ab596d8b03fc6ed422da3; pxt-session-cookie=211x8160dbbb4c6c91d893562924fcf16a93

Request:
Local Name = rlx-3-08.rhndev.redhat.com
Server Name = rlx-3-08.rhndev.redhat.com
Requested Session Id came from Cookie
Requested Session Valid = true
Session = org.apache.catalina.session.StandardSessionFacade@390d390d[session=StandardSession[74ECA12BD7DCF6E8F67CEF59C816533D]]
Protocol = https
Request Locale = en_US
Request Character Encoding = UTF-8
Attribute Names = rhnActiveLang, javax.servlet.include.request_uri, javax.servlet.include.context_path, javax.servlet.include.servlet_path, javax.servlet.jsp.jstl.fmt.timeZone.request, javax.servlet.request.key_size, javax.servlet.request.ssl_session, org.apache.struts.action.MESSAGE, javax.servlet.request.cipher_suite, error, org.apache.struts.action.EXCEPTION, org.apache.struts.action.MODULE, __sitemesh__using_stream, __sitemesh__filterapplied, session, org.apache.struts.action.mapping.instance, requestedUri,


User Information:
User admin (id 1, org_id 1)

Exception:
com.redhat.rhn.common.hibernate.LookupException: Could not find errata: 7108
        at com.redhat.rhn.manager.errata.ErrataManager.lookupErrata(ErrataManager.java:571)
        at com.redhat.rhn.frontend.action.errata.ErrataDetailsSetupAction.execute(ErrataDetailsSetupAction.java:53)
        at org.apache.struts.action.RequestProcessor.processActionPerform(RequestProcessor.java:431)
        at org.apache.struts.action.RequestProcessor.process(RequestProcessor.java:237)
        at com.redhat.rhn.frontend.struts.RhnRequestProcessor.process(RhnRequestProcessor.java:82)
        at org.apache.struts.action.ActionServlet.process(ActionServlet.java:1196)
        at org.apache.struts.action.ActionServlet.doGet(ActionServlet.java:414)
        at javax.servlet.http.HttpServlet.service(HttpServlet.java:690)
        at javax.servlet.http.HttpServlet.service(HttpServlet.java:803)
        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:269)
        at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:188)
        at com.redhat.rhn.frontend.servlets.AuthFilter.doFilter(AuthFilter.java:73)
        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:215)
        at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:188)
        at com.opensymphony.module.sitemesh.filter.PageFilter.parsePage(PageFilter.java:142)
        at com.opensymphony.module.sitemesh.filter.PageFilter.doFilter(PageFilter.java:58)
        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:215)
        at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:188)
        at com.redhat.rhn.frontend.servlets.LocalizedEnvironmentFilter.doFilter(LocalizedEnvironmentFilter.java:67)
        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:215)
        at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:188)
        at com.redhat.rhn.frontend.servlets.EnvironmentFilter.doFilter(EnvironmentFilter.java:108)
        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:215)
        at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:188)
        at com.redhat.rhn.frontend.servlets.SessionFilter.doFilter(SessionFilter.java:55)
        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:215)
        at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:188)
        at com.redhat.rhn.frontend.servlets.SetCharacterEncodingFilter.doFilter(SetCharacterEncodingFilter.java:97)
        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:215)
        at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:188)
        at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:210)
        at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:172)
        at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:127)
        at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:117)
        at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:108)
        at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:151)
        at org.apache.jk.server.JkCoyoteHandler.invoke(JkCoyoteHandler.java:200)
        at org.apache.jk.common.HandlerRequest.invoke(HandlerRequest.java:283)
        at org.apache.jk.common.ChannelSocket.invoke(ChannelSocket.java:773)
        at org.apache.jk.common.ChannelSocket.processConnection(ChannelSocket.java:703)
        at org.apache.jk.common.ChannelSocket$SocketConnection.runIt(ChannelSocket.java:895)
        at org.apache.tomcat.util.threads.ThreadPool$ControlRunnable.run(ThreadPool.java:685)
        at java.lang.Thread.run(Thread.java:735)
Comment 2 John Matthews 2009-05-28 15:10:53 EDT
Fixed so results from errata search are filtered by users current ORG or Trusted Orgs.


commit e140b3721dc03b0a802c418c0b06dc6ac9e80e08
Author: John Matthews <jmatthew@redhat.com>
Date:   Thu May 28 15:03:46 2009 -0400

 java/code/src/com/redhat/rhn/domain/errata/ErrataFactory.java               |   63 ++++++++++
 java/code/src/com/redhat/rhn/domain/errata/impl/PublishedErrata.hbm.xml     |   24 +++
 java/code/src/com/redhat/rhn/frontend/action/errata/ErrataSearchAction.java |    5 
 java/code/src/com/redhat/rhn/manager/errata/ErrataManager.java              |   13 ++
 4 files changed, 103 insertions(+), 2 deletions(-)
Comment 3 John Matthews 2009-06-10 13:48:17 EDT
This needs more work, need to address public/private channels.  Currently only looking at ORG Trust.
Comment 4 John Matthews 2009-06-10 16:14:02 EDT
 java/code/src/com/redhat/rhn/domain/errata/ErrataFactory.java           |    9 ++-------
 java/code/src/com/redhat/rhn/domain/errata/impl/PublishedErrata.hbm.xml |    8 ++++++--
 2 files changed, 8 insertions(+), 9 deletions(-)

New commits:
commit 40bbd72aca5584d24bccea315ccf60d270e7bfee
Author: John Matthews <jmatthew@redhat.com>
Date:   Wed Jun 10 16:04:12 2009 -0400

    490960 - ErrataSearch, fix for multiorg channel permissions
    Results are now adhering to the private/protected/public designations.
Comment 5 Preethi Thomas 2009-06-17 13:30:14 EDT
verified
Satellite-5.3.0-RHEL5-re20090612.0-i386-embedded-oracle.iso
Comment 6 Milan Zázrivec 2009-09-09 06:03:32 EDT
Verified in stage -> RELEASE_PENDING
Comment 7 Brandon Perkins 2009-09-10 15:32:19 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.